- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# FreetypeGlyphMgr Class Reference

Manage FT_Glyph by insuring that FT_Glyph is handled correctly. More...

`#include <glyphMgr.h>`

List of all members.

## Public Member Functions
| FreetypeGlyphMgr ()
| Manage FT_Glyph by insuring that resources are freed when done.
| FreetypeGlyphMgr (FT_Glyph glyph)
| FreetypeGlyphMgr (const FreetypeGlyphMgr &ftgm)
FreetypeGlyphMgr & | operator= (const FreetypeGlyphMgr &ftgm)
| ~FreetypeGlyphMgr ()
| operator FT_Glyph () const
void | assign (const FT_Glyph glyph)
## Private Attributes
FT_Glyph | _glyph

## Detailed Description

Manage FT_Glyph by insuring that FT_Glyph is handled correctly.

## Constructor & Destructor Documentation

FreetypeGlyphMgr::FreetypeGlyphMgr | ( |  | ) |

Manage FT_Glyph by insuring that resources are freed when done.

FreetypeGlyphMgr::FreetypeGlyphMgr | ( | FT_Glyph | glyph | ) |

FreetypeGlyphMgr::FreetypeGlyphMgr | ( | const FreetypeGlyphMgr & | ftgm | ) |

FreetypeGlyphMgr::~FreetypeGlyphMgr | ( |  | ) |

## Member Function Documentation

FreetypeGlyphMgr & FreetypeGlyphMgr::operator= | ( | const FreetypeGlyphMgr & | ftgm | ) |

FreetypeGlyphMgr::operator FT_Glyph | ( |  | ) | const

void FreetypeGlyphMgr::assign | ( | const FT_Glyph | glyph | ) |

## Member Data Documentation

FT_Glyph FreetypeGlyphMgr::_glyph`[private]`

The documentation for this class was generated from the following files:

- glyphMgr.h
- glyphMgr.cpp